#ifndef LOCALCONNECT_H
#define LOCALCONNECT_H

#include <string>

#define MAX_SIZE        256

typedef enum {
            LOCALCONN_ERROR_CLOSEHANDLE_FAILED = 100 ,
            LOCALCONN_ERROR_MAP_FAILED ,
            LOCALCONN_ERROR_RECIPIENT_NOT_CONNECTED ,
            LOCALCONN_ERROR_REGISTERING_FAILED ,
            LOCALCONN_ERROR_RELEASE_MUTEX_FAILED ,
            LOCALCONN_ERROR_UNMAP_FAILED ,
            LOCALCONN_ERROR_WAIT_ABANDONED ,
            LOCALCONN_ERROR_TEST_ERROR ,
            LOCALCONN_ERROR_WAIT_TIMEOUT ,
            LOCALCONN_MESSAGE ,
            LOCALCONN_NOTHING ,
            LOCALCONN_SENT_OK } Local_Connection_Message_Type ;


struct Local_Connection_State_struct ;


struct Local_Connection_State_struct * LocalConn_New ( int test_mode ) ;

Local_Connection_Message_Type 
        LocalConn_Poll ( struct Local_Connection_State_struct * lcs ) ;

int LocalConn_Send ( 
            struct Local_Connection_State_struct * lcs , 
            std::string msg_text ) ;

std::string LocalConn_Receive ( 
            struct Local_Connection_State_struct * lcs ) ;

void LocalConn_Delete ( struct Local_Connection_State_struct * lcs ) ;

const char * LocalConn_Get_Error ( Local_Connection_Message_Type mt ) ;

#endif

